Subject: Re: Cross-Platform Version Control (was: Eric Sink's blog - notes on git, dscms and a "whole product" approach)

From: Markus Heidelberg <[email-masked]>
Date: Wed, 29 Apr 2009 22:05:37 +0200

Jeff King, 29.04.2009:
> On Wed, Apr 29, 2009 at 08:55:29AM +0200, Martin Langhoff wrote:
> 
> > So from Eric's perspective, it is worthwhile to work on all those
> > issues, and get the right for the end user -- support things we don't
> > like, offer foolproof catches and warnings that prevent the user from
> > shooting their lovely toes off to mars, etc.
> 
> I read a few of his blog postings. He kept complaining about the
> features of git that I like the most. :)
> 
> I can see his arguments about how
> "add -p" can be dangerous

Actually, I don't see a very special case here with committing a never
compiled/tested worktree state. You can do this with every VCS (without
an index like git) with just selectively committing files instead of the
whole current worktree.

Markus